package cabesa;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.OpenOption;

public class MapToGame {
	
	
    public static void main(String[] args) {
		System.out.println("Map Cleaner running...");
        try {
            File f = new File(args[0]);
            if (f.canRead()) {
                byte[] fileContent = Files.readAllBytes(f.toPath());
                String cad = new String(fileContent);
                int i1 = cad.indexOf("<data encoding=\"csv\">");
                int i2 = cad.indexOf("</data>");
                cad = cad.substring(i1 + 21, i2);
                System.out.println("result:" + cad);
                cad = "#include <cpctelera.h>\n\nCPCT_ABSOLUTE_LOCATION_AREA(0x20FF);\n\nconst unsigned char G_mapa2[]={\n" + cad + "\n};\n\nCPCT_RELOCATABLE_AREA();";
                File f2 = new File(args[1]);
                f2.delete();
                Files.write(f2.toPath(), cad.getBytes(), new OpenOption[0]);
            }
        }
        catch (IOException e) {
            e.printStackTrace();
        }
		
		
		
		
		
        System.out.println("MetaTiles Cleaner running...");
        try {
            File f = new File(args[0]);
            if (f.canRead()) {
                byte[] fileContent = Files.readAllBytes(f.toPath());
                String cad = new String(fileContent);
                String cadeFinal = "";
                int i1 = 0;
                int i2 = 1;
                for (int ik = 0; ik < 64; ++ik) {
                    i1 = cad.indexOf("<data encoding=\"csv\">", i2 + 10);
                    i2 = cad.indexOf("</data>", i2 + 10);
                    String cadpar = String.valueOf(cad.substring(i1 + 21, i2 - 2)) + ",";
                    cadeFinal = String.valueOf(cadeFinal) + "\n" + cadpar + "\n";
                }
                cad = "#include <cpctelera.h>\n\nCPCT_ABSOLUTE_LOCATION_AREA(0x10FF);\n\nu8 const metatile0[]={\n" + cadeFinal + "0\n};\n\nCPCT_RELOCATABLE_AREA();";
                File f2 = new File(args[2]);
                f2.delete();
                Files.write(f2.toPath(), cad.getBytes(), new OpenOption[0]);
            }
        }
        catch (IOException e) {
            e.printStackTrace();
        }
		
		
		/*
<objectgroup id="2" name="Capa de Objetos 1">
  <object id="1" name="nombrePruebaPunto" type="tipoPruebaPunto" x="303" y="979.25">
   <point/>
  </object>
 </objectgroup>
		 */
		
    }
}